Bem-vindo ao Invites Express | A maior comunidade de convites de Tracker e Warez da Internet!


Entrar 

Criar Conta
Bem-vindo ao Invites Express | Seu forum favorito de convites e torrents privados e guias da internet, como a maioria das comunidades on-line você deve se registrar para ver ou postar em nossa comunidade, mas não se preocupe este é um processo simples que exige o mínimo de informação. Aproveite imediatamente!, Registre-se Agora  ou Faça o login.
  • Nós somos um dos melhores fórum de convites da internet! Aqui você vai encontrar convite, seedboxes, bônus, e até mesmo contas.
  • Invites Express dá-lhe a oportunidade de entrar nas melhores trackers privados do mundo, através de doações ou simplesmente pedindo um convite convite gratuiamente concedido por nossos membros.
  • Não se faça de tímido, entre e faça uma doação daquele convite ou conta que você tem disponível.
  • Não perca a oportunidade de inscrever-se em um tracker com inscrições abertas. O Invites Express posta todos os dias atualizações regulares sobre trackers com inscrição aberta. Basta registrar-se no fórum!
  • Fique sabendo tudo sobre os trackers, com informações atualizadas diariamente.
  • Obtenha seu próprio perfil e venha fazer novos amigos.
  • Personalize sua experiência em torrents aqui.
Posted Image Posted ImagePosted ImagePosted Image Posted Image Posted Image Posted Image Posted Image
 
Invites Express

A maior, a melhor, a mais completa comunidade voltada ao Universo BitTorrent da Internet...


Você não está conectado. Conecte-se ou registre-se

[Tutorial] Criar uma seedbox com Ubuntu e Deluge

Ver o tópico anterior Ver o tópico seguinte Ir em baixo Mensagem [Página 1 de 1]

#1
 Júnior Duarte

Júnior Duarte

avatar
Operador do Sistema

Operador do Sistema
Grande parte dos utilizadores de bittorrent necessita de deixar a máquina ligada continuamente à Internet e à energia para conseguir chegar aos 100% do conteúdo que estão a descarregar (e, ao espírito da comunidade, deixar a máquina a partilhar). Facto é que isto por vezes se torna uma tarefa complicada, ou porque a nossa máquina actual faz muito ruído, ou porque gasta muito energia, ou simplesmente porque não há mais espaço entre as centenas de outro ficheiros já descarregados. Surge então a ideia de criar uma seedbox. E em que consiste? De forma superficial, é uma máquina que estará sempre ligada e que será dedicada à partilha e download de ficheiros por bittorrent.
Antes de começar
Esta secção contém algumas instruções iniciais para garantir que podem seguir o tutorial.
Tópicos abordados

  • Instalar o programa de Bittorrent (Deluge)
  • Configurar o Deluge para arrancar durante o boot
  • Configurações essenciais do Deluge
  • Configurar uma pasta partilhada com o Samba para aceder aos torrents

Notem que não se vai falar em configurações importantes, por exemplo, firewall. Isto fica à vossa responsabilidade.
Requisitos

  • Instalação base do Ubuntu Server (na versão Desktop será semelhante, mas lembrem-se que este tutorial é para uma máquina dedicada e não para um desktop)
  • Conhecimentos base de utilização da consola
  • Editor de texto Nano (este será o utilizado nos comandos, podem ser usados outros consoante a preferência do utilizador)
  • Ser administrador do sistema em questão
  • Ter noção que cada comando está aqui como é apresentado (as is), sendo da responsabilidade do utilizador alterá-lo conforme a situação que está a resolver

Instalar o cliente de Bittorrent Deluge
Vamos usar o Deluge juntamente com a interface web para gerir os nossos downloads/uploads. Antes de o instalarmos, vamos criar um utilizador no qual o Deluge fará todo o seu trabalho, armazenará configurações, etc. Para isso invocamos o seguinte comando:
[ltr]sudo adduser --disabled-password --system --home /home/deluge --gecos "Servidor Deluge" --group deluge[/ltr]
Este comando vai criar um novo utilizador de sistema, que permitirá arrancar o Deluge e respectiva configuração nessa conta. Vamos criar mais umas pastas e organizar tudo:

  • pasta “data” onde são guardados todos os ficheiros descarregados
  • pasta “seeds” onde são guardados todos os ficheiros .torrent usados
  • pasta “logs” para onde irão todos os logs do servidor e da interface web
  • pasta “config” onde vai estar toda a configuração

[ltr]cd /home/deluge
sudo mkdir data seeds logs config
sudo chown deluge:deluge *[/ltr]
O último comando indica que as pastas que criámos, com uma conta “root”, são propriedade agora do utilizador “deluge” (por uma questão de coerência, e saber onde é suposto o utilizador “deluge” mexer).
Vamos então instalar o Deluge:
[ltr]sudo apt-get install deluge-webui[/ltr]
Instalado o Deluge, podemos confirmar que este funciona, fazendo:
[ltr]deluged
deluge --ui=web[/ltr]
O primeiro comando, deluged, inicia o daemon (serviço) do Deluge, necessário para fazer todas as operações relacionadas com torrents. O programa deluge é apenas um frontend que irá interagir com o serviço. Devem, nesta altura, conseguir aceder através de um browser ao vosso servidor, indo ao endereço http://ip_servidor:8112 (por omissão, o Deluge WebUI corre na porta 8112, que mais tarde poderá ser alterado na configuração). Se tudo correu bem, já devem estar a ver uma página web em tons de branco, a pedir uma password. Isto significa que a interface web está a funcionar. Deixemos, para já, as configurações.
Configurar o Deluge para arrancar durante o boot
De volta à consola, terminamos o processo atual, com CTRL+C. A interface web já não deverá ficar acessível. Vamos criar um script para cada vez que o nosso servidor arranque, ele inicie também automaticamente o Deluge: vamos criar um initscript.
Criemos um novo ficheiro, localizado em /etc/default/deluge-daemon:
[ltr]sudo nano /etc/default/deluge-daemon[/ltr]
No editor, coloquem o seguinte conteúdo:
[ltr]# Configuration for /etc/init.d/deluge-daemon
 
# The init.d script will only run if this variable non-empty.
# Colocamos aqui o nome do nosso utilizador criado para o efeito
DELUGED_USER="deluge"
 
# Should we run at startup?
# Flag que indica se o servidor irá correr no arranque
RUN_AT_STARTUP="YES"[/ltr]
Gravem as alterações. Temos agora um primeiro passo do nosso script de arranque. Vamos criar uma entrada no arranque, em /etc/init.d/deluge-daemon. Este ficheiro é algo extenso, mas o que realmente interessa alterar é mais ou menos a primeira metade, na qual vou colocando alguns comentários:
[ltr]#!/bin/sh
### BEGIN INIT INFO
# Provides: deluge-daemon
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Should-Start: $network
# Should-Stop: $network
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Daemonized version of deluge and webui.
# Description: Starts the deluge daemon with the user specified in
# /etc/default/deluge-daemon.
### END INIT INFO
 
# Author: Adolfo R. Brandes
# Modified: Sami Olmari
 
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
# Nome da entrada de arranque, aconselho a deixar este
DESC="Deluge Daemon"
NAME1="deluged"
NAME2="deluge"
DAEMON1=/usr/bin/deluged
# Indica ao daemon do deluge que deve procurar a configuração em /home/deluge/config e
# que deve registar as acções num log em /home/deluge/logs/deluged.log
DAEMON1_ARGS="-d -c /home/deluge/config -l /home/deluge/logs/deluged.log -L warning"
DAEMON2=/usr/bin/deluge
# Indica a interface web que deve procurar a configuração na mesma pasta, e colocar o log
# na pasta /home/deluge/logs/deluge-web.log
DAEMON2_ARGS="--ui=web -c /home/deluge/config -l /home/deluge/logs/deluge-web.log -L warning"
PIDFILE1=/var/run/$NAME1.pid
PIDFILE2=/var/run/$NAME2.pid
PKGNAME=deluge-daemon
SCRIPTNAME=/etc/init.d/$PKGNAME
 
#
# Não é necessário editar mais nada daqui para baixo
#
 
# Exit if the package is not installed
[ -x "$DAEMON1" -a -x "$DAEMON2" ] || exit 0
 
# Read configuration variable file if it is present
[ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME
 
# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS
 
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
 
if [ -z "$RUN_AT_STARTUP" -o "$RUN_AT_STARTUP" != "YES" ]
then
log_warning_msg "Not starting $PKGNAME, edit /etc/default/$PKGNAME to start it."
exit 0
fi
 
if [ -z "$DELUGED_USER" ]
then
log_warning_msg "Not starting $PKGNAME, DELUGED_USER not set in /etc/default/$PKGNAME."
exit 0
fi
 
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --exec $DAEMON1
--chuid $DELUGED_USER --user $DELUGED_USER --test > /dev/null
RETVAL1="$?"
start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --exec $DAEMON2
--chuid $DELUGED_USER --user $DELUGED_USER --test > /dev/null
RETVAL2="$?"
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 1
 
start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --make-pidfile --exec $DAEMON1
--chuid $DELUGED_USER --user $DELUGED_USER -- $DAEMON1_ARGS
RETVAL1="$?"
sleep 2
start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --make-pidfile --exec $DAEMON2
--chuid $DELUGED_USER --user $DELUGED_USER -- $DAEMON2_ARGS
RETVAL2="$?"
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 2
}
 
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
 
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE2
RETVAL2="$?"
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE1
RETVAL1="$?"
[ "$RETVAL1" = "2" -o "$RETVAL2" = "2" ] && return 2
 
rm -f $PIDFILE1 $PIDFILE2
 
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] && return 0 || return 1
}
 
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME1"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME1"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME1"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 3
;;
esac
 
:[/ltr]
Para comodidade, fiz upload do ficheiro, deixo o comando de download e o ficheiro correspondente. Fiquem à vontade para confirmar o seu conteúdo:
[ltr]wget [Você precisa estar registrado e conectado para ver este link.]
Gravem as alterações. Vamos dar permissões de execução ao ficheiro, criar a respectiva entrada de arranque e iniciar o serviço:
[ltr]sudo chmod 755 /etc/init.d/deluge-daemon
sudo update-rc.d deluge-daemon defaults
sudo /etc/init.d/deluge-daemon restart[/ltr]
Se tudo correr bem, este último comando deverá devolver algo como:
[ltr]* Restarting Deluge Daemon deluged [ OK ][/ltr]
Isto significa que o vosso serviço está a correr, daemon e interface web. Testem no browser, indo a http://ip_servidor:8112, e devem obter novamente a página web do serviço. Introduzam a password por defeito, que é “deluge” (sem aspas).
Configurações essenciais do Deluge
Depois de admirarem um pouco as parecenças que a interface tem o Gmail (vejam os créditos!), vamos alterar as configurações. A primeira coisa que devem alterar é a password: Configuração (Config) > Palavra-passe (Password), insiram “deluge” no primeiro campo, e escolham uma nova palavra-chave nos campos seguintes. Confirmem com OK, e deve-vos ser pedido novamente para fazerem login. Como se trata de um serviço que irá ficar exposto na Internet, é recomendado escolher uma password forte e mantê-la em segredo.
Login feito, continuemos. Outra coisa que temos de alterar é onde queremos guardar os ficheiros transferidos (pasta de downloads). Vamos a Configuração (Config) > Descarregar (Download) e definam a pasta de downloads como ”/home/deluge/data”, e a pasta de ficheiros torrent como ”/home/deluge/seeds”. Gravem a nova configuração.
Talvez outra configuração que seja do vosso interesse alterar é o porto para aceder à interface web. Por omissão usamos o porto 8112, mas podem alterar para outro à vossa escolha, em Configuração (Config) > Servidor (Server), e escolhem um novo número de porto (ou podem simplesmente deixar como está). Utilizadores mais avançados poderão estar interessados em encriptar o tráfego, o FAQ do Deluge tem um guia de como usar HTTPS na interface WebUI.
Para uma configuração inicial, penso que seja suficiente. Deixo ao vosso critério velocidades de upload e download de acordo com as necessidades. Podem começar pelo FAQ do Deluge sobre largura de banda.
Configurar uma pasta partilhada com o Samba
Esta secção é para quem, para além de configurar o Deluge, também está interessado em ter uma pasta partilhada na qual podem aceder aos vossos ficheiros transferidos. Vamos utilizar o Samba para criar pastas partilhadas na rede, e assim poderem aceder aos vossos ficheiros noutros computadores. Instalamos o Samba com:
[ltr]sudo apt-get install samba[/ltr]
Com o Samba instalado, vamos criar as partilhas. Vamos editar mais um ficheiro de configuração (fazendo antes uma cópia de segurança), que se situa em /etc/samba/smb.conf:
[ltr]sudo cp /etc/samba/smb.conf /etc/samba/smb.conf.bckp
sudo nano /etc/samba/smb.conf[/ltr]
Para que fique tudo certo, temos de editar algumas coisas: primeiro, neste tutorial vamos assumir que os downloads podem ser acedidos em rede por toda a gente, isto é, vamos ligar à partilha de rede como utilizadores anónimos, por isso vamos activar a partilha para utilizadores “guest”. Localizem no ficheiro a linha:
[ltr]# security = user[/ltr]
e substituam por:
[ltr]security = share[/ltr]
Estamos a activar a opção security, e estamos a indicar que não pretendemos segurança por contas de utilizador. Posto isto, vamos então criar efectivamente a partilha. Por questão de organização (para saberem mais tarde onde está a vossa partilha definida), localizem o texto/secção “Share Definitions” e por baixo, coloquem o seguinte conteúdo:
[ltr][Torrents]
comment = Torrents concluídos
path = /home/deluge/data
browseable = yes
read only = no
guest ok = yes[/ltr]
Estamos então a criar uma pasta partilhada chamada “Torrents” (podem alterar o conteúdo dentro de parêntesis rectos para outro da vossa preferência), com um pequeno comentário (que também podem alterar livremente). Esta partilha está ligada à pasta que contém os ficheiros transferidos (/home/deluge/data). As 3 últimas linhas indicam que a pasta pode ser vista por qualquer pessoa, e temos permissões de escrita, no caso de ser preciso copiar para lá qualquer coisa.
Embora opcional, pode dar jeito definirem o mesmo Workgroup de uma máquina Windows que tenham: desse modo o ícone do servidor aparecerá na pasta “Rede”, em vez de estarem sempre a colocar o ip do servidor. Se o quiserem fazer, localizem a linha:
[ltr]workgroup = WORKGROUP[/ltr]
e caso o vosso Workgroup (Grupo de trabalho) esteja definido para algo diferente na máquina Windows, troquem pelo nome definido. Gravem as alterações e fechem o editor.
Para tornar as pastas efectivamente com acesso de escrita, vamos precisar ainda de mudar as permissões da pasta de downloads, para isso basta:
[ltr]sudo chmod -R 757 /home/deluge/data[/ltr]
Damos permissões totais ao grupo outros (no qual está o Samba), e temos as permissões concedidas. Basta agora recarregar as configurações do Samba, com um simples:
[ltr]sudo /etc/init.d/samba reload[/ltr]
E já devem ter a pasta acessível, na vossa pasta rede. As configurações base estão concluídas.

#2
 desenvolvedor

desenvolvedor

avatar
Membro Júnior

Membro Júnior
Muito obrigado Júnior Duarte por esse tutorial explicativo, eu estava mesmo precisando aprender a manipular uma Seedbox através de uma VPS e isso vai ser de muita valia, até salvei aqui, ganhou 1 +Rep e se pudesse daria mais pelo esforço em produzir esse material valioso. Obrigado.

#3
 Paulinho2563

Paulinho2563

avatar
Membro

Membro
um boa dica pra quem tem servidores dedicados e quer criar boxes dentro deles otima dica

#4
 HIDALGO

HIDALGO

avatar
Membro Júnior

Membro Júnior
boa , vai ser muito útil valeu .

Elfos

avatar
Membro Sênior

Membro Sênior
Interessante....Valeu pelo tutorial!!!!

#6
 rshock

rshock


Membro Expert

Membro Expert
Obrigado por compartilhar conhecimento +rep.

#7
 mariopeixer

mariopeixer

avatar
Membro Sênior

Membro Sênior
Parabéns pelo post ficou show e muito bom para quem duvidas no assunto.

#8
 Takezo

Takezo

avatar
Membro Júnior

Membro Júnior
Meus parabens amigo, excelente topico... valeu pela contribuição foi muito util pra mim.

#9
 matheuscs2

matheuscs2

avatar
Membro

Membro
Poxa parabéns cara, nem que seja só para brincar instalando uma dessas, já é de grande aprendizado Very Happy

#10
 robert.pancada

robert.pancada

avatar
Membro Sênior

Membro Sênior
http://invitesexpress.omeuforum.net/
Valeu júnior, ótimo tutorial.

#11
 ifabianoi

ifabianoi

avatar
Membro Júnior

Membro Júnior
Ótimo tutorial valeu o +rep.

#12
 maarcos

maarcos

avatar
Membro Júnior

Membro Júnior
http://mediatron.com.br/d9clube/liderjc
Obrigado pelo tutorial amigo

#13
 tasogare

tasogare

avatar
Membro Júnior

Membro Júnior
http://tasogare.xyz
Obrigado pelo tutorial.

#14
 femedina

femedina

avatar
Membro

Membro
Muito bom tutorial.

Para quem está a procura de uma VPS indico esse site https://www.cloudatcost.com/.
Você paga uma vez só e pode utilizar para o resto da vida

larara

avatar
Membro Júnior

Membro Júnior
Bom tutorial principalmente pra quem contrata uma máquina virtual e quer transformá-la em uma seedbox

Ver o tópico anterior Ver o tópico seguinte Voltar ao Topo Mensagem [Página 1 de 1]

Permissão deste fórum:
Você não pode responder aos tópicos neste fórum


  • Recorde de Usuários Online: O recorde de usuários online foi de 75 em Ter Fev 24, 2015 1:54 pm
  • Membro Mais Novo:
  • Membros:
  • Posts: